Page MenuHomePhabricator

Allow Commons bureaucrats to manage members of the accountcreator user group
Closed, ResolvedPublic

Description

Commons bureaucrats should be able to manage members of the accountcreator user group.

Currently the ability resides with Wikimedia stewards but for transparency, accountability and self-sufficiency reasons, this would ideally be done by local Commons bureaucrats instead.

Please note that this ticket can only be acted on when local community consensus for the change is achieved.

**Local discussion: https://commons.wikimedia.org/wiki/Commons:Bureaucrats%27_noticeboard#Noratelimit_right**

Details

Related Gerrit Patches:
operations/mediawiki-config : masterAllow Commons 'crats to manage accountcreator group

Event Timeline

tomasz created this task.Sep 4 2016, 9:19 AM
Restricted Application added subscribers: Poyekhali, JEumerus, Matanya, Aklapper. · View Herald TranscriptSep 4 2016, 9:19 AM

Change 309912 had a related patch set uploaded (by Odder):
Allow Commons 'crats to manage accountcreator group

https://gerrit.wikimedia.org/r/309912

With more than a month, this got 9 supports and no oppose; should be enough?

Dereckson updated the task description. (Show Details)Oct 8 2016, 12:35 AM
Dereckson added a subscriber: Dereckson.EditedOct 8 2016, 12:37 AM

With more than a month, this got 9 supports and no oppose; should be enough?

Yes this is fine. I asked on Gerrit @tomasz to schedule it for SWAT.

Change 309912 merged by jenkins-bot:
Allow Commons 'crats to manage accountcreator group

https://gerrit.wikimedia.org/r/309912

Mentioned in SAL (#wikimedia-operations) [2016-10-10T20:36:31Z] <dereckson@tin> Synchronized wmf-config/InitialiseSettings.php: Allow Commons 'crats to manage accountcreator group (T144689) (duration: 00m 50s)

Dereckson closed this task as Resolved.Oct 10 2016, 8:38 PM

Deployed and works fine.

Now handled by default by T185417